<div class="col-8 offset-2 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #videoEditForm="ngForm" (ngSubmit)="onSubmit(videoEditForm)" *ngIf="video">
    <div class="alert alert-success" *ngIf="status=='success'">Vídeo editado con éxito :)</div>
    <div class="alert alert-danger" *ngIf="status=='error'">No se ha podido gurdar el vídeo editado :(</div>
    <div class="form-group">
      <label for="title">Título</label>
      <input type="text" name="title" id="title" #title="ngModel" [(ngModel)]="video.title" class="form-control" required>
      <span class="d-block invalid-feedback" *ngIf="title.invalid && title.touched">El título no es válido</span>
    </div>
    <div class="form-group">
      <label for="description">Descripción</label>
      <textarea name="description" id="description" #description="ngModel" [(ngModel)]="video.description" cols="30" rows="10" class="form-control">
      </textarea>
    </div>
    <div class="form-group">
      <label for="url">URL</label>
      <input type="url" name="url" id="url" #url="ngModel" [(ngModel)]="video.url" class="form-control" required>
      <span class="d-block invalid-feedback" *ngIf="url.invalid && url.touched">La url no es válida</span>
    </div>
    <div class="form-group">
      <input type="submit" value="Guardar" class="btn btn-primary" [disabled]="videoEditForm.form.invalid">
    </div>
  </form>
</div>